This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 655048 - Ctrl/Alt state incorrect if they are held down when spicec window is selected
Ctrl/Alt state incorrect if they are held down when spicec window is selected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-19 08:38 EST by Matthew Booth
Modified: 2010-12-02 14:11 EST (History)
4 users (show)

See Also:
Fixed In Version: spice-0.6.3-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-02 14:11:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2010-11-19 08:38:44 EST
Description of problem:
I use multiple workspaces on my gnome desktop. I typically switch between them using Ctrl-Alt-LeftArrow and Ctrl-Alt-RightArrow. I also use focus-follows-mouse. If I switch workspaces when the mouse is positioned such that it is over the spicec window on the new workspace, spicec will become selected while both Ctrl and Alt are pressed. When I release the keys and start typing in the guest, the effect is as though Ctrl and Alt are still pressed and held down. Hitting Ctrl and Alt a few times seems to resolve the issue.

Version-Release number of selected component (if applicable):
spice-client-0.6.3-4.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure at least 2 workspace on a gnome desktop
2. Configure focus follows mouse (in System->Preferences->Windows)
3. Place the spicec window in the center of workspace 2
4. View workspace 1, and place the mouse in the center of the screen
5. Hold down Ctrl-Alt-RightArrow
    Workspace 2 will be selected, and spicec will get focus
6. Press 'd' in a terminal window in the guest
  
Actual results:
The terminal window closes on receiving Ctrl-d

Expected results:
The terminal window displays a 'd'
Comment 1 Hans de Goede 2010-11-25 05:58:00 EST
I've a patch for this upstream, expect an update fixing this soon.
Comment 2 Fedora Update System 2010-11-25 06:37:55 EST
spice-0.6.3-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spice-0.6.3-4.fc14
Comment 3 Fedora Update System 2010-11-25 20:12:51 EST
spice-0.6.3-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spice-0.6.3-4.fc14
Comment 4 Fedora Update System 2010-12-02 14:11:37 EST
spice-0.6.3-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.